CXFBusFactory (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.bus

## Class CXFBusFactory

- java.lang.Object
- - org.apache.cxf.BusFactory
  - - org.apache.cxf.bus.CXFBusFactory

-     public class CXFBusFactory
      extends BusFactory

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.BusFactory

      `BUS_FACTORY_PROPERTY_NAME, DEFAULT_BUS_FACTORY, defaultBus, THREAD_BUS, THREAD_BUSSES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CXFBusFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Bus` | `createBus()` | Creates a new bus.
    `Bus` | `createBus​(Map<Class<?>,​Object> e)` |
    `Bus` | `createBus​(Map<Class<?>,​Object> e, Map<String,​Object> properties)` |

    - ### Methods inherited from class org.apache.cxf.BusFactory

      `clearDefaultBusForAnyThread, getAndSetThreadDefaultBus, getDefaultBus, getDefaultBus, getThreadDefaultBus, getThreadDefaultBus, initializeBus, newInstance, newInstance, possiblySetDefaultBus, setDefaultBus, setThreadDefaultBus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CXFBusFactory

          public CXFBusFactory()

  - ### Method Detail

    - #### createBus

          public Bus createBus()

      Description copied from class: `BusFactory`
      Creates a new bus. While concrete `BusFactory` may offer differently parameterized methods for creating a bus, all factories support this no-arg factory method.
      Specified by:
        `createBus` in class `BusFactory`
      Returns:
        the newly created bus.

    - #### createBus

          public Bus createBus​(Map<Class<?>,​Object> e)

    - #### createBus

          public Bus createBus​(Map<Class<?>,​Object> e,
                               Map<String,​Object> properties)